# Uses of Class
java.lang.Character.Subset

Packages that use Character.Subset
Package
Description
java.awt.im
Provides classes and interfaces for the input method framework.
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of Character.Subset in java.awt.im

Subclasses of Character.Subset in java.awt.im
Modifier and Type
Class
Description
`final class`
`InputSubset`
Defines additional Unicode subsets for use by input methods.
Methods in java.awt.im with parameters of type Character.Subset
Modifier and Type
Method
Description
`void`
InputContext.`setCharacterSubsets(Character.Subset[] subsets)`
Sets the subsets of the Unicode character set that input methods of this input context should be allowed to input.

## Uses of Character.Subset in java.awt.im.spi

Methods in java.awt.im.spi with parameters of type Character.Subset
Modifier and Type
Method
Description
`void`
InputMethod.`setCharacterSubsets(Character.Subset[] subsets)`
Sets the subsets of the Unicode character set that this input method is allowed to input.

## Uses of Character.Subset in java.lang

Subclasses of Character.Subset in java.lang
Modifier and Type
Class
Description
`static final class`
`Character.UnicodeBlock`
A family of character subsets representing the character blocks in the Unicode specification.